package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 订单对象 et_order
 *
 * @author 邱贞招
 * @date 2024-04-08
 */
@Data
public class EtOrderQuery extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户 */
    @Excel(name = "用户")
    private String userName;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 运营商id */
    @Excel(name = "运营商id")
    private Long deptId;

    /** 状态:0-预约中，1-取消预约，2-开始骑行，3-结束 */
    @Excel(name = "状态:0-预约中，1-取消预约，2-开始骑行，3-结束")
    private String status;

    /** 支付状态:0-未支付，1-已支付 */
    @Excel(name = "支付状态:0-未支付，1-已支付")
    private String paid;

    /** 退款结果（回调） */
    @Excel(name = "退款结果（回调）")
    private String refundResult;

    /** 退款类型 */
    @Excel(name = "退款类型")
    private String refundType;

    /** 是否退款 */
    @Excel(name = "是否退款")
    private List<String> isRefund;

    /** 运营区ids */
    @Excel(name = "运营区ids")
    private List<Long> areaIds;

}
